Skip to main content
`Ctrl`+`K`

# PEPSetProblemType

Specifies the type of the polynomial eigenvalue problem.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetProblemType(PEP pep,PEPProblemType type)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- type - a known type of polynomial eigenvalue problem

## Options Database Keys

- -pep_general - general problem with no particular structure

- -pep_hermitian - problem whose coefficient matrices are Hermitian

- -pep_hyperbolic - Hermitian problem that satisfies the definition of hyperbolic

- -pep_gyroscopic - problem with gyroscopic structure

## Notes

See `PEPProblemType` for possible problem types.

This function is used to instruct SLEPc to exploit certain structure in the polynomial eigenproblem. By default, no particular structure is assumed.

If the problem matrices are Hermitian (symmetric in the real case) or Hermitian/skew-Hermitian then the solver can exploit this fact to perform less operations or provide better stability. Hyperbolic problems are a particular case of Hermitian problems, some solvers may treat them simply as Hermitian.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetOperators()`, `PEPSetType()`, `PEPGetProblemType()`, `PEPProblemType`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

## Examples

src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex50.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex16.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages